zed: 'put x=cut(.)'

input: |
  #0:record[a:record[b:int32]]
  0:[-;]
  0:[[-;]]
  0:[[1;]]

output-flags: -f tzng

output: |
  #0:record[a:record[b:int32],x:record[a:record[b:int32]]]
  0:[-;[-;]]
  0:[[-;][[-;]]]
  0:[[1;][[1;]]]
